/* Libtlen2 - multiplatform Tlen.pl library
 * Copyright (C) 2003  Libtlen Team
 *
 * $Id: sendmsg.c,v 1.1 2004/01/08 19:56:12 mati Exp $
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 *
 * Simple message sender
 *
 *
 *
 */

#include <stdio.h>

#include "libtlen2.h"


GMainLoop *mainloop;
gchar *destination;
gchar *message;

void event_cb (TlenConnection *tc);

int main (int argc, char **argv)
{
  TlenConnection* tc;

  if (argc != 5)
  {
    printf("usage: %s <login> <password> <destination> <message>\n", argv[0]);
    return 1;
  }
  destination = argv[3];
  message = argv[4];
  tlen_init ();
  tlen_debug_set (TLEN_DEBUG_NONE);
  tc = tlen_connection_new (argv[1], argv[2]);
  tlen_connection_open (tc, event_cb);
  mainloop = g_main_loop_new (NULL, FALSE);
  g_main_loop_run (mainloop);
  tlen_connection_delete (tc);
  return 0;
}

void event_cb (TlenConnection *tc)
{
  TlenEvent *ev;

  if (tc)
  {
    while ((ev = tlen_event_get (tc)))
    {
      switch (ev->type)
      {
        case TLEN_EVENT_CONNECTION_FAILED:
          printf ("connection failed.\n");
          g_main_loop_quit (mainloop);
          break;
        case TLEN_EVENT_DISCONNECTED:
          g_main_loop_quit (mainloop);
          break;
        case TLEN_EVENT_UNAUTHORIZED:
          printf ("unauthorized.\n");
          g_main_loop_quit(mainloop);
          break;
        case TLEN_EVENT_LOGGED:
          tlen_message(tc, destination, message, TLEN_MESSAGE_TYPE_NORMAL);
          printf ("message sent.\n");
          g_main_loop_quit(mainloop);
          break;
	default:
	  break;
      }
      tlen_event_free (ev);
    }
  }
}

