/* Libtlen2 - multiplatform Tlen.pl library
 * Copyright (C) 2003  Libtlen Team
 *
 * $Id: libtlen2.c,v 1.10 2004/02/20 11:03:54 who_ami Exp $
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */



#include "libtlen2.h"
#include "libtlen2-parser.h"
#include "libtlen2-config.h"

/**
 *  tlen_major_version
 *
 *  major version of library
 *
 **/
const guint tlen_major_version = TLEN_MAJOR_VERSION;

const guint tlen_minor_version = TLEN_MINOR_VERSION;
const guint tlen_micro_version = TLEN_MICRO_VERSION;
const guint tlen_interface_age = TLEN_INTERFACE_AGE;
const guint tlen_binary_age = TLEN_BINARY_AGE;

/**
 *  tlen_init
 *
 *  Initializes the Libtlen2 library.  This should be called at the
 *  beginning of any Libtlen2 program.
 *
 **/
void
tlen_init (void)
{
  if (!g_thread_supported ())
    g_thread_init (NULL);
  gnet_init();
  xmlInitParser();
}

/**
 * tlen_presence_type
 * @ev: presence event.
 *
 * Check type of presence.
 *
 * returns: type of presence.
 **/
TlenPresenceType tlen_presence_type (TlenEvent *ev)
{
  if (!tlen_strcmp (TLEN_EVENT_PRESENCE (ev)->type, "subscribed"))
    return TLEN_PRESENCE_SUBSCRIBED;
  else
  if (!tlen_strcmp (TLEN_EVENT_PRESENCE (ev)->type, "subscribe"))
    return TLEN_PRESENCE_SUBSCRIBE;
  else
  if (!tlen_strcmp (TLEN_EVENT_PRESENCE (ev)->type, "unsubscribe"))
    return TLEN_PRESENCE_UNSUBSCRIBE;
  else
  if (!tlen_strcmp (TLEN_EVENT_PRESENCE (ev)->type, "unsubscribed"))
    return TLEN_PRESENCE_UNSUBSCRIBED;
  else
    return TLEN_PRESENCE_STATUS;
}

